<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class Hierarchy</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<center><b>
 [ <a href="module-tree.html">Module Hierarchy</a>
 | <a href="class-tree.html">Class Hierarchy</a> ]
</b></center><br />
<h1 class="epydoc">Class Hierarchy</h1>
<ul class="nomargin-top">
    <li> <strong class="uidlink">urllib2.AbstractBasicAuthHandler</strong>
    <ul>
    <li> <strong class="uidlink">urllib2.HTTPBasicAuthHandler</strong>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.compat.HTTPBasicAuthHandler-class.html">bitten.util.compat.HTTPBasicAuthHandler</a></strong>:
      <em class="summary">Patched version of Python 2.6's HTTPBasicAuthHandler.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">urllib2.BaseHandler</strong>
    <ul>
    <li> <strong class="uidlink">urllib2.HTTPBasicAuthHandler</strong>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.compat.HTTPBasicAuthHandler-class.html">bitten.util.compat.HTTPBasicAuthHandler</a></strong>:
      <em class="summary">Patched version of Python 2.6's HTTPBasicAuthHandler.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">distutils.cmd.Command</strong>:
      <em class="summary">Abstract base class for defining command classes, the &quot;worker bees&quot;
of the Distutils.</em>
    <ul>
    <li> <strong class="uidlink">setuptools.Command</strong>:
      <em class="summary">Abstract base class for defining command classes, the &quot;worker bees&quot;
of the Distutils.</em>
    <ul>
    <li> <strong class="uidlink">setuptools.command.test.test</strong>:
      <em class="summary">Command to run unit tests after in-place build</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.testrunner.unittest-class.html">bitten.util.testrunner.unittest</a></strong>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">object</strong>:
      <em class="summary">The most base type</em>
    <ul>
    <li> <strong class="uidlink">exceptions.BaseException</strong>:
      <em class="summary">Common base class for all exceptions</em>
    <ul>
    <li> <strong class="uidlink">exceptions.Exception</strong>:
      <em class="summary">Common base class for all non-exit exceptions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.build.api.BuildError-class.html">bitten.build.api.BuildError</a></strong>:
      <em class="summary">Exception raised when a build fails.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.build.config.ConfigFileNotFound-class.html">bitten.build.config.ConfigFileNotFound</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.slave.ExitSlave-class.html">bitten.slave.ExitSlave</a></strong>:
      <em class="summary">Exception used internally by the slave to signal that the slave process
should be stopped.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.recipe.InvalidRecipeError-class.html">bitten.recipe.InvalidRecipeError</a></strong>:
      <em class="summary">Exception raised when a recipe is not valid.</em>
    </li>
    <li> <strong class="uidlink">exceptions.StandardError</strong>:
      <em class="summary">Base class for all standard Python exceptions that do not represent
interpreter exiting.</em>
    <ul>
    <li> <strong class="uidlink">exceptions.EnvironmentError</strong>:
      <em class="summary">Base class for I/O related errors.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.build.svntools.Error-class.html">bitten.build.svntools.Error</a></strong>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.build.api.TimeoutError-class.html">bitten.build.api.TimeoutError</a></strong>:
      <em class="summary">Exception raised when the execution of a command times out.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.Build-class.html">bitten.model.Build</a></strong>:
      <em class="summary">Representation of a build.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.BuildConfig-class.html">bitten.model.BuildConfig</a></strong>:
      <em class="summary">Representation of a build configuration.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.BuildLog-class.html">bitten.model.BuildLog</a></strong>:
      <em class="summary">Represents a build log.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.queue.BuildQueue-class.html">bitten.queue.BuildQueue</a></strong>:
      <em class="summary">Enapsulates the build queue of an environment.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.slave.BuildSlave-class.html">bitten.slave.BuildSlave</a></strong>:
      <em class="summary">HTTP client implementation for the build slave.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.BuildStep-class.html">bitten.model.BuildStep</a></strong>:
      <em class="summary">Represents an individual step of an executed build.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.build.api.CommandLine-class.html">bitten.build.api.CommandLine</a></strong>:
      <em class="summary">Simple helper for executing subprocesses.</em>
    </li>
    <li> <strong class="uidlink">trac.core.Component</strong>:
      <em class="summary">Base class for components.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.web_ui.BittenChrome-class.html">bitten.web_ui.BittenChrome</a></strong>:
      <em class="summary">Provides the Bitten templates and static resources.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.notify.BittenNotify-class.html">bitten.notify.BittenNotify</a></strong>:
      <em class="summary">Sends notifications on build status by mail.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.web_ui.BuildConfigController-class.html">bitten.web_ui.BuildConfigController</a></strong>:
      <em class="summary">Implements the web interface for build configurations.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.admin.BuildConfigurationsAdminPageProvider-class.html">bitten.admin.BuildConfigurationsAdminPageProvider</a></strong>:
      <em class="summary">Web administration panel for configuring the build master.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.web_ui.BuildController-class.html">bitten.web_ui.BuildController</a></strong>:
      <em class="summary">Renders the build page.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.master.BuildMaster-class.html">bitten.master.BuildMaster</a></strong>:
      <em class="summary">Trac request handler implementation for the build master.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.admin.BuildMasterAdminPageProvider-class.html">bitten.admin.BuildMasterAdminPageProvider</a></strong>:
      <em class="summary">Web administration panel for configuring the build master.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.main.BuildSystem-class.html">bitten.main.BuildSystem</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.lint.PyLintChartGenerator-class.html">bitten.report.lint.PyLintChartGenerator</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.lint.PyLintSummarizer-class.html">bitten.report.lint.PyLintSummarizer</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.web_ui.ReportChartController-class.html">bitten.web_ui.ReportChartController</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.web_ui.SourceFileLinkFormatter-class.html">bitten.web_ui.SourceFileLinkFormatter</a></strong>:
      <em class="summary">Detects references to files in the build log and renders them as links
to the repository browser.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.coverage.TestCoverageAnnotator-class.html">bitten.report.coverage.TestCoverageAnnotator</a></strong>:
      <em class="summary">Version in the branch should not match:
&gt;&gt;&gt; context = Context.from_request(req, 'source', '/branches/blah/foo.py', 123)
&gt;&gt;&gt; ann.get_annotation_data(context)
[]</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.coverage.TestCoverageChartGenerator-class.html">bitten.report.coverage.TestCoverageChartGenerator</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.coverage.TestCoverageSummarizer-class.html">bitten.report.coverage.TestCoverageSummarizer</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.testing.TestResultsChartGenerator-class.html">bitten.report.testing.TestResultsChartGenerator</a></strong>
    </li>
    <li> <strong class="uidlink"><a href="bitten.report.testing.TestResultsSummarizer-class.html">bitten.report.testing.TestResultsSummarizer</a></strong>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.build.config.Configuration-class.html">bitten.build.config.Configuration</a></strong>:
      <em class="summary">Encapsulates the configuration of a build machine.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.recipe.Context-class.html">bitten.recipe.Context</a></strong>:
      <em class="summary">The context in which a build is executed.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.build.api.FileSet-class.html">bitten.build.api.FileSet</a></strong>:
      <em class="summary">Utility class for collecting a list of files in a directory that match
given name/path patterns.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.util.xmlio.Fragment-class.html">bitten.util.xmlio.Fragment</a></strong>:
      <em class="summary">A collection of XML elements.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.xmlio.Element-class.html">bitten.util.xmlio.Element</a></strong>:
      <em class="summary">Simple XML output generator based on the builder pattern.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">trac.core.Interface</strong>:
      <em class="summary">Marker base class for extension point interfaces.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.api.IBuildListener-class.html">bitten.api.IBuildListener</a></strong>:
      <em class="summary">Extension point interface for components that need to be notified of
build events.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.api.ILogFormatter-class.html">bitten.api.ILogFormatter</a></strong>:
      <em class="summary">Extension point interface for components that format build log
messages.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.api.IReportChartGenerator-class.html">bitten.api.IReportChartGenerator</a></strong>:
      <em class="summary">Extension point interface for components that generate a chart for a
set of reports.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.api.IReportSummarizer-class.html">bitten.api.IReportSummarizer</a></strong>:
      <em class="summary">Extension point interface for components that render a summary of reports
of some kind.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">trac.notification.Notify</strong>:
      <em class="summary">Generic notification class for Trac.</em>
    <ul>
    <li> <strong class="uidlink">trac.notification.NotifyEmail</strong>:
      <em class="summary">Baseclass for notification by email.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.notify.BuildNotifyEmail-class.html">bitten.notify.BuildNotifyEmail</a></strong>:
      <em class="summary">Notification of failed builds.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.util.xmlio.ParsedElement-class.html">bitten.util.xmlio.ParsedElement</a></strong>:
      <em class="summary">Representation of an XML element that was parsed from a string or
file.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.recipe.Recipe-class.html">bitten.recipe.Recipe</a></strong>:
      <em class="summary">A build recipe.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.Report-class.html">bitten.model.Report</a></strong>:
      <em class="summary">Represents a generated report.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.recipe.Step-class.html">bitten.recipe.Step</a></strong>:
      <em class="summary">Represents a single step of a build recipe.</em>
    </li>
    <li> <strong class="uidlink"><a href="bitten.model.TargetPlatform-class.html">bitten.model.TargetPlatform</a></strong>:
      <em class="summary">Target platform for a build configuration.</em>
    </li>
    <li> <strong class="uidlink">unittest.TestResult</strong>:
      <em class="summary">Holder for test result information.</em>
    <ul>
    <li> <strong class="uidlink">unittest._TextTestResult</strong>:
      <em class="summary">A test result class that can print formatted text results to a stream.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.testrunner.XMLTestResult-class.html">bitten.util.testrunner.XMLTestResult</a></strong>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">unittest.TextTestRunner</strong>:
      <em class="summary">A test runner class that displays results in textual form.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.testrunner.XMLTestRunner-class.html">bitten.util.testrunner.XMLTestRunner</a></strong>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink">type</strong>:
      <em class="summary">type(object) -&gt; the object's type
type(name, bases, dict) -&gt; a new type</em>
    <ul>
    <li> <strong class="uidlink"><a href="trac.core.ComponentMeta-class.html">trac.core.ComponentMeta</a></strong>:
      <em class="summary">Meta class for components.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
</ul>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:35 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
